# Create child worker relation

PUT https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/{hrisProfileOid}/child
Content-Type: application/json

Create child worker relation.
 **Token scopes**: `profile:write`

Reference: https://developer.deel.com/api/reference/endpoints/worker-relations/upsert-child-worker-relations

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /hris/worker_relations/profile/{hrisProfileOid}/child:
    put:
      operationId: upsert-child-worker-relations
      summary: Create child worker relation
      description: |-
        Create child worker relation.
         **Token scopes**: `profile:write`
      tags:
        - subpackage_workerRelations
      parameters:
        - name: hrisProfileOid
          in: path
          description: HrisProfile ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Worker
                  Relations_upsertChildWorkerRelations_Response_204
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/HrisWorkerRelationsProfileHrisProfileOidChildPutRequestBodyContentApplicationJsonSchemaData
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    HrisWorkerRelationsProfileHrisProfileOidChildPutRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
            format: uuid
          description: An array containing the IDs of the child profiles
        hris_relationship_type_id:
          type: string
          format: uuid
          description: The ID of the relationship type
      required:
        - ids
        - hris_relationship_type_id
      title: >-
        HrisWorkerRelationsProfileHrisProfileOidChildPutRequestBodyContentApplicationJsonSchemaData
    Worker Relations_upsertChildWorkerRelations_Response_204:
      type: object
      properties: {}
      description: Empty response body
      title: Worker Relations_upsertChildWorkerRelations_Response_204
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child"

payload = { "body": { "data": {
            "ids": ["a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c", "b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b"],
            "hris_relationship_type_id": "c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a"
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":{"data":{"ids":["a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c","b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b"],"hris_relationship_type_id":"c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child"

	payload := strings.NewReader("{\n  \"body\": {\n    \"data\": {\n      \"ids\": [\n        \"a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c\",\n        \"b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b\"\n      ],\n      \"hris_relationship_type_id\": \"c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a\"\n    }\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": {\n    \"data\": {\n      \"ids\": [\n        \"a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c\",\n        \"b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b\"\n      ],\n      \"hris_relationship_type_id\": \"c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": {\n    \"data\": {\n      \"ids\": [\n        \"a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c\",\n        \"b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b\"\n      ],\n      \"hris_relationship_type_id\": \"c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child', [
  'body' => '{
  "body": {
    "data": {
      "ids": [
        "a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c",
        "b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b"
      ],
      "hris_relationship_type_id": "c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": {\n    \"data\": {\n      \"ids\": [\n        \"a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c\",\n        \"b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b\"\n      ],\n      \"hris_relationship_type_id\": \"c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": ["data": [
      "ids": ["a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5e6c", "b7d2e8f3-9a1c-4b5d-8e7f-2c3d4e5f6a7b"],
      "hris_relationship_type_id": "c4e5f6a7-b8d9-4c0e-9f1a-2b3c4d5e6f7a"
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/hris/worker_relations/profile/d290f1ee-6c54-4b01-90e6-d701748f0851/child")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```